Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class IllegalFormatWidthException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      java.util.IllegalFormatException
                          java.util.IllegalFormatWidthException

All Implemented Interfaces:
  Serializable

    public class IllegalFormatWidthException

extends IllegalFormatException

Unchecked exception thrown when the format width is a negative value other than `-1` or is otherwise unsupported.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`IllegalFormatWidthException(int w)` Constructs an instance of this class with the specified width.

Method Summary
`String` | `getMessage()` Returns the detail message string of this throwable.
`int` | `getWidth()` Returns the width

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalFormatWidthException

    public IllegalFormatWidthException(int w)

  Constructs an instance of this class with the specified width.

  Parameters:
    `w` - The width

Method Detail

### getWidth

    public int getWidth()

  Returns the width

  Returns:
    The width

### getMessage

    public String getMessage()

  Description copied from class: `Throwable`
  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.